Package org.codehaus.plexus.util.cli

# Class CommandLineException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.plexus.util.cli.CommandLineException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `CommandLineTimeOutException`

public class CommandLineException extends Exception

Author:
  Trygve Laugstøl
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CommandLineException(String message)`
`CommandLineException(String message, Throwable cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CommandLineException

public CommandLineException(String message)

### CommandLineException

public CommandLineException(String message, Throwable cause)